{% use '_layouts/site_nav.html.twig' %}
<!DOCTYPE html>
<html class="no-js" lang="{{ app.request.locale|replace({'_': '-'}) }}" prefix="og: http://ogp.me/ns#">
  <head>
    <meta charset="UTF-8" />
    <title>{% block title %}{{ site_name() }}{% endblock %}</title>
    <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico') }}">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="generator" content="postmill {{ app_version() }}">

    <link rel="apple-touch-icon-precomposed" href="{{ asset('apple-touch-icon-precomposed.png') }}">
    <link rel="search" type="application/opensearchdescription+xml" href="{{ path('opensearch_description') }}" title="{{ site_name() }}">

    {% cspscript %}
      <script>
        document.documentElement.classList.replace('no-js', 'js');
      </script>
    {% endcspscript %}

    {% block stylesheets %}
      {{ include('_includes/stylesheets.html.twig', with_context=false) }}
    {% endblock stylesheets %}

    {% block theme_css %}
      {{ encore_entry_link_tags(theme_entrypoint(
        app.user.preferredTheme.configKey ?? '_default',
        app.user.nightMode ?? false
      )) }}
    {% endblock theme_css %}

    {% block feed %}
      <link rel="alternate" type="application/atom+xml" href="{{ path('all', { sortBy: 'new', _format: 'atom' }) }}" title="{{ 'front.all_forums'|trans }}">
      <link rel="alternate" type="application/atom+xml" href="{{ path('featured', { sortBy: 'new', _format: 'atom' }) }}" title="{{ 'front.featured_forums'|trans }}">
    {% endblock feed %}

    {% block head '' %}
  </head>

  <body class="{{ app.user ? 'user-logged-in' : 'user-anonymous' }} {{ (app.user.nightMode ?? false) ? 'night-mode' }}">
    {% block site_alerts %}
      <div class="site-alerts">
        {%- if app.request.previousSession -%}
          {%- for type, notices in app.flashes -%}
            {%- for notice in notices -%}
              {% embed '_layouts/alert.html.twig' with { notice: notice, type: type } only %}
                {% block alert_classes 'site-alerts__alert' %}
                {% block alert_text %}
                  <p>
                    {{- notice|trans ~}}
                    <button class="site-alerts__dismiss unbuttonize"
                            aria-label="{{ 'action.dismiss'|trans }}"></button>
                  </p>
                {% endblock alert_text %}
                {% block alert_attributes 'role="alert"' %}
              {% endembed %}
            {%- endfor -%}
          {%- endfor -%}
        {%- endif -%}
      </div>
    {% endblock site_alerts %}

    <nav class="site-accessibility-nav">
      <a href="#main" class="site-accessibility-nav__link">{{ 'nav.jump_to_main_content'|trans }}</a>
      <a href="#sidebar" class="site-accessibility-nav__link">{{ 'nav.jump_to_sidebar'|trans }}</a>
    </nav>

    {{ block('site_nav') }}

    {% block site_main %}
      <div class="site-content content-container">
        <main class="body content-card" id="main">{% block body %}{% endblock %}</main>
        <aside class="sidebar" id="sidebar">{% block sidebar %}{% endblock %}</aside>
      </div>
    {% endblock site_main %}

    {% block site_footer %}
      <footer class="site-footer">
        <p>
          <span class="fg-muted text-xs">{{ 'site_footer.version'|trans({
            '%branch%': app_branch(),
            '%version%': app_version(),
            '%app%': '<a href="https://postmill.xyz/">Postmill</a>',
          })|raw }}</span>
        </p>
      </footer>
    {% endblock site_footer %}

    {% block javascripts %}
      <script src="{{ preload(asset('bundles/bazingajstranslation/js/translator.min.js', 'static_asset')) }}"></script>
      <script src="{{ preload(asset('bundles/fosjsrouting/js/router.js', 'static_asset')) }}"></script>

      {% if app.environment != 'dev' or app.request.query.has('static_assets') %}
        <script src="{{ preload(asset('js/translations/config.js', 'static_asset')) }}"></script>
        <script src="{{ preload(asset('js/translations/%s.js'|format(app.request.locale), 'static_asset')) }}"></script>
        <script src="{{ preload(asset('js/routing.js', 'static_asset')) }}"></script>
      {% else %}
        <script src="{{ path('bazinga_jstranslation_js') }}"></script>
        <script src="{{ path('fos_js_routing_js', { callback: 'fos.Router.setData' }) }}"></script>
      {% endif %}

      {% if app.request.locale != 'en' %}
        {# load fallback locale #}
        <script src="{{ preload(asset('js/translations/en.js', 'static_asset')) }}"></script>
      {% endif %}

      {{ encore_entry_script_tags('main') }}

      {# restore no-js if scripts failed to load #}
      {% cspscript %}
        <script>
          if (!window.$ || !window.Translator || !window.Routing) {
            document.documentElement.classList.replace('js', 'no-js');
          }
        </script>
      {% endcspscript %}
    {% endblock javascripts %}
  </body>
</html>
